/* base stales */
:root {
    --iris: #4d5ae5;
    --ocean: #404bbf;
    --navy-blue: #2e2f42;
    --green: #31d0aa;
    --slate: #434455;
    --light-slate: #8e8f99;
    --cornflower: #e7e9fc;
    --cloud: #f4f4fd;
    --navy-blue-modal: rgba(46, 47, 66, 0.4);
    --grey: rgba(46, 47, 66, 0.7);
    --white: #fff;
    --dairy: #fcfcfc;
}

/* main styles */

* {
margin: 0;
padding: 0;
box-sizing: border-box;
list-style: none;
}

body {
font-family: 'Roboto', sans-serif;
color: #434455;
background-color: #ffffff;
}

a:hover {
 color: #404BBF;
}

a {
    text-decoration: none;
    color: inherit;
    color: #2e2f42;
    display: block;
}

 h1,
 h2,
 h3,
 p,
 ul,
 li
 {
    margin: 0;
 }

 ul{
    padding-left: 0;
 }

 img{
display: block;
 }


h2{
font-weight: 700;
font-size: 36px;
line-height: 1.11;
color: #2e2f42;
}

h3{
font-weight: 500;
font-size: 20px;
line-height: 1.2;
color: #2e2f42;

}

p{
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: #434455;

}

.container{
 margin: 0 auto;
display: flex;
width: 100%;
max-width: 1158px;
flex-wrap: wrap;

}

/* header */

header{
display: flex;
flex-direction: row;
border-bottom: 1px solid#e7e9fc;
}

.header-logo {
font-weight: 700;
font-size: 18px;
line-height: 1.167;
letter-spacing: 0.03em;
padding: 24px;
}

.header-nav{
display: flex;
align-items: center;
width: 261px;
align-items: center;

}

.header-link:active {
color: #404BBF;
border-radius: 2px;
text-decoration: underline;
}

.span-logo {
    color:#4d5ae5;
}

.header-list{   
display: flex;
font-weight: 500;
font-size: 16px;
line-height: 1.5;
color: #2e2f42;
gap: 40px;
}

.header-list{
padding-top: 24px;
padding-bottom: 24px;
}


.header-adress{
 margin-left: auto;
display: flex;
flex-direction: row;
}

.header-adress-nav {
font-weight: 400;
font-size: 16px;
line-height: 1.5;
color: #434455;
}

/* main */

/*region     image  */

.hero {
 background-color: #2e2f42;

 }
.hero-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 188px 0px;
    gap: 48px;
    margin: 0 auto;
}

 .solutins{
    font-weight: 700;
    font-size: 56px;
    line-height: 1.07;
    text-align: center;
    letter-spacing: 0.02em;
    color: #fff;
 }
 
.button {
    border-radius: 4px;
    width: 169px;
    height: 56px;
    cursor: pointer;
    background-color: #4d5ae5;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.15);
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.04em;
    color: #fff;

}

/* region Effective Solutions for Your Business */

.section-one{

}
.features-title {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;
    white-space: nowrap;
    clip-path: inset(100%);
    clip: rect(0 0 0 0);
    overflow: hidden;
}

.our-features-list{
display: flex;
align-items: stretch;
gap: 24px;
padding: 220px 156px;
}

.our-features-item{
display: flex;
flex-direction: column;
flex-basis: calc((100% - 20px) / 4);
gap: 24px;

}


/* region Our Team */
.section-two {
display: flex;
background-color: #F4F4FD;
padding: 120px 0px;

/* flex-direction: row; */
}

.our-team-list{
display: flex;
flex-direction: row;
gap: 24px;

padding-top: 72px;


}
.our-team {
    display: flex;
    flex-direction: column;
    display: inline-block;
    margin: 0 auto;
    
}
.our-team-item{
display: flex;
text-align: center;
flex-direction: column;
background-color: white;
border-radius: 0 0 4px 4px;
}
.card-content {
    display: flex;
    flex-direction: column;
    padding: 32px 16px;
    gap: 8px;
}
/* region Our Portfolio */

.section-three{
   display: flex;
   padding: 120px 0px;
   flex-direction: column;
}


.our-portfolio {
    display: flex;
   flex-wrap: wrap;
   margin: 0 auto;
}

.our-portfolio-list{
display: flex;
flex-wrap: wrap;
gap: 24px;
padding-top: 72px;
}

.card-content-portfolio{
display: flex;
flex-direction: column;
align-items: flex-start;
gap: 24px;
   
}

.our-portfolio-item{
padding: 0px 0px 32px;
gap: 8px;

}

/* footer */

.footer {
    display: flex;
    flex-wrap: wrap;
    background-color: #2e2f42;
    height: 312px;
    padding: 100px 0px;

}

.footer-link {
    font-weight: 700;
    font-size: 18px;
    line-height: 1.16667;
    color: #f4f4fd;
}

.footer-info{
    display: flex;
    width: 264px;
    height: 112px;
    flex-direction: column;
    gap: 16px;
}

.span-logo-footer{
    font-weight: 700;
    font-size: 18px;
    line-height: 1.16667;
    text-transform: uppercase;
    color: #4d5ae5;
}
.footer p {font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: #f4f4fd;
}




